## CreatePrebuildLogsToken **post** `/gitpod.v1.PrebuildService/CreatePrebuildLogsToken` Creates a logs access token for a prebuild. Use this method to: - Stream logs from a running prebuild - Access archived logs from completed prebuilds Generated tokens are valid for one hour. ### Examples - Create prebuild logs token: Generates a token for accessing prebuild logs. ```yaml prebuildId: "07e03a28-65a5-4d98-b532-8ea67b188048" ``` ### Body Parameters - `prebuildId: string` prebuild_id specifies the prebuild for which the logs token should be created. +required ### Returns - `accessToken: string` access_token is the token that can be used to access the logs of the prebuild ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.PrebuildService/CreatePrebuildLogsToken \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{ "prebuildId": "07e03a28-65a5-4d98-b532-8ea67b188048" }' ``` #### Response ```json { "accessToken": "accessToken" } ```